Skip to main content
GET
/
v1
/
scan
/
pattern
Get Technical Patterns
curl --request GET \
  --url https://api.aries.com/v1/scan/pattern \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "points": [
      {
        "aprice": 213.58,
        "atime": 1745971200,
        "bprice": 0,
        "btime": 0,
        "cprice": 0,
        "ctime": 0,
        "dprice": 197.02,
        "dtime": 1746489600,
        "end_price": 0,
        "end_time": 0,
        "entry": 0,
        "eprice": 0,
        "etime": 0,
        "mature": 1,
        "patternname": "two black gapping",
        "patterntype": "bearish",
        "profit1": 0,
        "profit2": 0,
        "sortTime": 1746489600,
        "start_price": 0,
        "start_time": 0,
        "status": "complete",
        "stoploss": 0,
        "symbol": "AAPL.US",
        "terminal": 0
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

symbol
string
required

Stock ticker symbol, such as AAPL. Use the exact ticker for the company you want to research.

Example:

"AAPL"

resolution
string
required

Chart resolution (e.g. 1, 5, 15, 30, 60, D, W, M)

Example:

"D"

Response

Successful response

data
object